summaryrefslogtreecommitdiffstats
path: root/scripts/zpool-config/sda-raid0.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/zpool-config/sda-raid0.sh')
-rw-r--r--scripts/zpool-config/sda-raid0.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/scripts/zpool-config/sda-raid0.sh b/scripts/zpool-config/sda-raid0.sh
new file mode 100644
index 000000000..b11092466
--- /dev/null
+++ b/scripts/zpool-config/sda-raid0.sh
@@ -0,0 +1,16 @@
+#!/bin/bash
+#
+# Single disk /dev/sda Raid-0 Configuration
+#
+
+DEVICES="/dev/sda"
+
+zpool_create() {
+ msg ${ZPOOL} create ${FORCE_FLAG} ${ZPOOL_NAME} ${DEVICES}
+ ${ZPOOL} create ${FORCE_FLAG} ${ZPOOL_NAME} ${DEVICES} || exit 1
+}
+
+zpool_destroy() {
+ msg ${ZPOOL} destroy ${ZPOOL_NAME}
+ ${ZPOOL} destroy ${ZPOOL_NAME} || exit 1
+}